> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User

> Retrieves the details of a user specified by user ID.



## OpenAPI

````yaml /openapi/openapi_user.json get /platform/adminuser/accounts/{userId}
openapi: 3.0.1
info:
  description: OpenAPI Spec for Kibo Admin User Service
  title: Admin User
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /platform/adminuser/accounts/{userId}:
    get:
      tags:
        - AdminUser
      summary: Get User
      description: Retrieves the details of a user specified by user ID.
      parameters:
        - description: Unique identifier of the user whose details you want to view.
          in: path
          name: userId
          required: true
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/User'
            text/json:
              schema:
                $ref: '#/components/schemas/User'
            text/plain:
              schema:
                $ref: '#/components/schemas/User'
          description: OK
components:
  schemas:
    User:
      properties:
        emailAddress:
          nullable: true
          type: string
        externalId:
          nullable: true
          type: string
        firstName:
          nullable: true
          type: string
        id:
          nullable: true
          type: string
        identityProviderId:
          nullable: true
          type: string
        isActive:
          type: boolean
        lastName:
          nullable: true
          type: string
        localeCode:
          nullable: true
          type: string
        optInToEmail:
          nullable: true
          type: boolean
        optInToTextMessage:
          nullable: true
          type: boolean
        password:
          nullable: true
          type: string
        phoneNumber:
          nullable: true
          type: string
        roles:
          items:
            $ref: '#/components/schemas/UserRole'
          nullable: true
          type: array
        systemData:
          $ref: '#/components/schemas/UserSystemData'
        userName:
          nullable: true
          type: string
      type: object
    UserRole:
      properties:
        assignedInScope:
          $ref: '#/components/schemas/UserScope'
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        roleId:
          format: int32
          type: integer
        roleName:
          nullable: true
          type: string
        roleResources:
          items:
            $ref: '#/components/schemas/Resource'
          nullable: true
          type: array
        roleTags:
          items:
            type: string
          nullable: true
          type: array
        userId:
          nullable: true
          type: string
      type: object
    UserSystemData:
      properties:
        createdOn:
          format: date-time
          nullable: true
          type: string
        failedLoginAttemptCount:
          format: int32
          type: integer
        firstFailedLoginAttemptOn:
          format: date-time
          nullable: true
          type: string
        isLocked:
          type: boolean
        isPasswordChangeRequired:
          type: boolean
        lastLockedOn:
          format: date-time
          nullable: true
          type: string
        lastLoginOn:
          format: date-time
          nullable: true
          type: string
        lastPasswordChangeOn:
          format: date-time
          nullable: true
          type: string
        remainingLoginAttempts:
          format: int32
          type: integer
        updatedOn:
          format: date-time
          nullable: true
          type: string
      type: object
    UserScope:
      properties:
        id:
          format: int32
          nullable: true
          type: integer
        name:
          nullable: true
          type: string
        type:
          nullable: true
          type: string
      type: object
    AdminUserAuditInfo:
      properties:
        createBy:
          nullable: true
          type: string
        createDate:
          format: date-time
          nullable: true
          type: string
        updateBy:
          nullable: true
          type: string
        updateDate:
          format: date-time
          nullable: true
          type: string
      type: object
    Resource:
      properties:
        id:
          nullable: true
          type: string
        type:
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````